<h1 mat-dialog-title *ngIf="login">Fazer login</h1>
<h1 mat-dialog-title *ngIf="!login">Cadastrar</h1>

<div mat-dialog-content>
    <form [formGroup]="login ? signInForm : signUpForm">
        <mat-form-field appearance="outline">
            <mat-label>E-mail</mat-label>
            <input matInput formControlName="email" type="text" />
        </mat-form-field>
        <mat-form-field appearance="outline">
            <mat-label>Senha</mat-label>
            <input matInput formControlName="password" type="password" />
        </mat-form-field>
        <mat-form-field appearance="outline" *ngIf="!login">
            <mat-label>Confirmar senha</mat-label>
            <input matInput formControlName="confirm" type="password" />
        </mat-form-field>
    </form>
</div>

<div mat-dialog-actions style="display: flex; width: 100%; justify-content: space-between;">
    <button mat-button (click)="toggle()">{{ !login ? 'Login' : 'Cadastrar' }}</button>
    <button mat-raised-button color="accent" [mat-dialog-close]="next()" [disabled]="login ? signInForm.invalid : signUpForm.invalid">
        {{ login ? 'Login' : 'Cadastrar' }}
    </button>
</div>